#!/usr/bin/env python
import sys
import signal
import socket
import distutils.util
sys.path.append('build/lib.%s-%s' % (
    distutils.util.get_platform(), sys.version[0:3] ) )
import itimer

SERV_PORT = 9877
MAXLINE = 4096

def sig_alrm(signo, frame):
    sys.exit(0)

def main(args):
    if len(args) != 2:
        print("Usage: %s address" % args[0])
        sys.exit(0)
    
    sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

    # set interval timer to go off before three way hand shake completes
    #signal.signal(signal.SIGALRM, sig_alrm)
    #signal.alarm(0.0005) # XXX won't work here
    itimer.setitimer(itimer.ITIMER_REAL, 0.0005)

    sock.connect((args[1], SERV_PORT))

    while True:
        data = sock.recv(MAXLINE)
        if not data:
            break

        print(data)

if __name__ == "__main__":
    main(sys.argv)
